<?php
######################################################################
# Weather Magnet
# ============================================
#
# Copyright (c) 2003 by John Horne seventhseal@ibdeeming.com
# http://ibdeeming.com
#
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

if (!eregi("modules.php", $_SERVER['PHP_SELF']))
{
  die ("You can't access this file directly...");
}
require_once("mainfile.php");

$module_name = basename(dirname(__FILE__));
get_lang($module_name);

require_once("modules/$module_name/user.php");
require_once("modules/$module_name/wh_utils.php");
require_once("modules/$module_name/wh_ini.php");
require_once("modules/$module_name/buoy.php");
require_once("modules/$module_name/summaries.php");

global $Version_Num, $db, $prefix, $user, $index;

$index = 0;

/******************************************************************************************************************************************/
/*                                                                                                                                        */
/* function fnDisplayRadarRegion()                                                                                                        */ 
/*                                                                                                                                        */
/* Function displays the available regions to choose from                                                                                 */
/******************************************************************************************************************************************/

function fnDisplayRadarRegion()
{
  global $module_name, $index;

  $index = 1; // show right side blocks
  
  include( "header.php" );

  OpenTable();
  global $db, $prefix;
  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WH_RADAR_REGION."</th><tr><td align=\"center\">"._PLS_SEL_ST."</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
      ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._DIS_RADAR_LIST."\">\n"
      ."<select name=\"region\" size=\"20\">\n";

  $sql = "select DISTINCT country, region from ".$prefix."_weatherstations";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );

  foreach( $list as $row )
  {
    $citycountry = sprintf( "%s, %s", $row[region], $row[country] );
    echo "<option value=\"".$row[region]."\">".$citycountry."</option>\n";
  }

  echo "</select><br><input type=\"submit\" value=\""._SELECT_CITY."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  CloseTable();

  include( "footer.php" );
}

/******************************************************************************************************************************************/
/*                                                                                                                                        */
/* function fnDisplayRadarList()                                                                                                          */
/*                                                                                                                                        */
/* Function to display the list of available radars from the database                                                                     */
/******************************************************************************************************************************************/

function fnDisplayRadarList( $region )
{
  global $module_name, $db, $prefix, $index;

  $index = 1;

  include( "header.php" );
  OpenTable();

  echo "<table width=\"100%\"><tr><td align=\"center\"><table><th align=\"center\">"._WH_RADAR_STATION."</th>"
      ."<tr><td align=\"center\">"._PLS_SEL_CITY."$region</td></tr></table></td></tr>\n";
  echo "<tr><td><table align=\"center\">\n"
      ."<tr><td align=\"center\">"
	  ."<form METHOD=\"POST\" ACTION=\"modules.php?name=$module_name\">\n"
      ."<input type=\"hidden\" name=\"op\" value=\""._DIS_RADAR."\">\n"
	  ."<select name=\"code\" size=\"20\">\n";
	  
  $sql = "select repstation, code, primaryradar, secondaryradar, userradar from ".$prefix."_weatherstations where region='".$region."' order by repstation";
  $result = $db->sql_query($sql);
  $list = $db->sql_fetchrowset( $result );
   			 
  foreach( $list as $row )
  {
    if ($row[primaryradar] != "" || $row[secondaryradar] != "" || $row[userradar] != "" )
    {
      echo "<option value=\"".$row[code]."\">".$row[repstation]."</option>\n";
    }
  }
  
  echo "</select><br><input type=\"submit\" value=\""._SHOW_RADAR."\"></form>\n";
  echo "</form></td></tr></table></td></tr></table>\n";  
  
  CloseTable();
  include( "footer.php" );
}

switch($op)
{
  case _UPD_CITY:
    if ( $code != "" )
	{
	  fnSaveDefaultCity( $code );
	}
    break;
	
  case _SEL_CITY:
    if ( $state != "" )
	{
      fnSelectCity( $state );
	}  
    break;

  case _SEL_STATE:
    fnSelectState();
    break;
	
  case _DIS_RADAR_REGION:
    fnDisplayRadarRegion();
    break;

  case _DIS_RADAR_LIST:
    if ( $region != "")
    {
      fnDisplayRadarList( $region );
    }
    break;
		
  case _DIS_RADAR:
  case _SHOW_RADAR:
    if ($code != "") 
    {
      fnShowAllRadar( $code );
    }
    break;

  case _DIS_BUOY_WEATHER:
    fnDisplayBuoyWorldMap();
    break;

  case _DIS_SELECTED_BUOY_REGION:
    if ( $item != "" )
	{
	  fnDisplayBuoyRegionMap( $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;
	
  case _DIS_SELECTED_BUOY_DATA:
    if ( $buoy != "" && $item != "")
	{
	  fnDisplayBuoyData( $buoy, $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;
	
  case _DIS_BUOY_FIVEDAY:
    if ( $buoy != "" && $item != "" )
	{
	  fnDisplayBuoyFiveDay( $buoy, $item );
	}
	else
	{
	  fnDisplayBuoyWorldMap();
	}
    break;

  case _DIS_SUMMARY_REGION:
    if ( $id != "" )
	{
	  fnDisplaySummary( $id );
	}
    break;
					
  case _WEATHER_SUMMARIES:
    fnDisplaySummariesList();
    break;
	
  default:
    $wh = new whini( $db, $prefix );
    $fgotoptions = false;
    $index = 1;
	
    include( "header.php" );
    
	OpenTable();
    echo "<table width=\"100%\"><th>"._WEATHER_HARVEST_MAIN_MENU."</th>\n";
    echo "<tr><td>\n";
    echo "<ul>";

    echo "<li><a href=\"modules.php?name=$module_name&amp;op="._WEATHER_SUMMARIES."\">"._DISPLAY_WEATHER_SUMMARIES."</a></li>\n";
	
    if ($wh->getuserdefcity() == true) 
    {
      if (is_user( $user ))
      {
        echo "<li><a href=\"modules.php?name=$module_name&amp;op="._SEL_STATE."\">"._SEL_REPORTING_STATION."</a></li>\n";
      }
    }

    if ($wh->getshowradar() == true ) 
    {
      echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_RADAR_REGION."\">"._DISPLAY_RADAR_IMAGE."</a></li>\n";
    }

    if ($wh->getshowbuoy() == true )
	{
	  echo "<li><a href=\"modules.php?name=$module_name&amp;op="._DIS_BUOY_WEATHER."\">"._DISPLAY_BUOY_WEATHER."</a></li>\n";
	}
	
    echo "</ul></td></tr>\n";
    echo "</table>\n";
    CloseTable();
	include( "footer.php");
    break;
}
?>



